# draugr.tensorboard_utilities.exporting.file_export.TensorboardEventExporterFile

class draugr.tensorboard_utilities.exporting.file_export.TensorboardEventExporterFile(path_to_events_file_s: Path, size_guidance: Optional [ Mapping ] = None, *, save_to_disk: bool = False)

  Bases: `TensorboardEventExporter`

  __init__(path_to_events_file_s: Path, size_guidance: Optional [ Mapping ] = None, *, save_to_disk: bool = False)
    Parameters

      - path_to_events_file_s –

      - size_guidance –

      - save_to_disk –

  Methods

  `__init__`(path_to_events_file_s[, ...])

  param path_to_events_file_s

  `export_audio`(*tags[, out_dir])

  param tags

  `export_distribution`(*tags[, out_dir])

  param tags

  `export_graph`(*tags[, out_dir])

  param tags

  `export_histogram`(*tags[, out_dir]) | https://www.tensorflow.org/api_docs/python/tf/summary/histogram

  `export_image`(*tags[, out_dir])

  param tags

  `export_line_plot`(*tags[, out_dir])

  param tags

  `export_scalar`(*tags[, out_dir]) | if save to files it pickles tags values with file ending .pkl

  `export_tensor`(*tags[, out_dir])

  param tags

  `pr_curve_export_csv`(*tags[, out_dir, ...]) | #TODO only supports a single step and tag for now
  `scalar_export_csv`(*tags[, out_dir, ...]) | size_guidance = 0 means all events, no aggregation or dropping

  `tag_test`(*tags, type_str)

  param tags

  `tensor_export_csv`(*tags[, out_dir, ...]) | size_guidance = 0 means all events, no aggregation or dropping

  export_audio(*tags: Iterable [ str ], out_dir: Path = PosixPath('/mnt/win/Users/Christian/ProjectsWin/Github/Pything/draugr/docs')) → Iterable
    Parameters

      - tags –

      - out_dir –

    Returns

  export_distribution(*tags: Iterable [ str ], out_dir: Path = PosixPath('/mnt/win/Users/Christian/ProjectsWin/Github/Pything/draugr/docs'))
    Parameters

      - tags –

      - out_dir –

  export_graph(*tags: Iterable [ str ], out_dir: Path = PosixPath('/mnt/win/Users/Christian/ProjectsWin/Github/Pything/draugr/docs')) → Iterable
    Parameters

      - tags –

      - out_dir –

    Returns

  export_histogram(*tags: Iterable [ str ], out_dir: Path = PosixPath('/mnt/win/Users/Christian/ProjectsWin/Github/Pything/draugr/docs')) → Iterable

    https://www.tensorflow.org/api_docs/python/tf/summary/histogram

    Parameters

      - tags –

      - out_dir –

    Returns

  export_image(*tags: Iterable [ str ], out_dir: Path = PosixPath('/mnt/win/Users/Christian/ProjectsWin/Github/Pything/draugr/docs')) → Tuple [Image]
    Parameters

      - tags –

      - out_dir –

    Returns

  export_line_plot(*tags: Iterable [ str ], out_dir: Path = PosixPath('/mnt/win/Users/Christian/ProjectsWin/Github/Pything/draugr/docs')) → Tuple [Figure]
    Parameters

      - tags –

      - out_dir –

    Returns

  export_scalar(*tags: Iterable [ str ], out_dir: Path = PosixPath('/mnt/win/Users/Christian/ProjectsWin/Github/Pything/draugr/docs')) → Iterable

    if save to files it pickles tags values with file ending .pkl

    Parameters

      - tags –

      - out_dir –

    Returns

  export_tensor(*tags: Iterable [ str ], out_dir: Path = PosixPath('/mnt/win/Users/Christian/ProjectsWin/Github/Pything/draugr/docs')) → Iterable
    Parameters

      - tags –

      - out_dir –

    Returns

  pr_curve_export_csv(*tags: Iterable [ str ], out_dir: Path = PosixPath('/mnt/win/Users/Christian/ProjectsWin/Github/Pything/draugr/docs'), index_label: str = 'epoch', path_or_buf: FilePath | WriteBuffer[ bytes ] | WriteBuffer[ str ] | None = None, sep: str = ',', na_rep: str = '', float_format: str | None = None, columns: Sequence[Hashable] | None = None, header: bool_t | list [ str ] = True, index: bool_t = True, mode: str = 'w', encoding: str | None = None, compression: CompressionOptions = 'infer', quoting: int | None = None, quotechar: str = '"', line_terminator: str | None = None, chunksize: int | None = None, date_format: str | None = None, doublequote: bool_t = True, escapechar: str | None = None, decimal: str = '.', errors: str = 'strict', storage_options: StorageOptions = None) → Tuple [DataFrame]

    #TODO only supports a single step and tag for now

    size_guidance = 0 means all events, no aggregation or dropping

    > param index_label

    Returns

    Parameters

      - tags –

      - out_dir –

  scalar_export_csv(*tags: Iterable [ str ], out_dir: Path = PosixPath('/mnt/win/Users/Christian/ProjectsWin/Github/Pything/draugr/docs'), index_label: str = 'epoch', path_or_buf: FilePath | WriteBuffer[ bytes ] | WriteBuffer[ str ] | None = None, sep: str = ',', na_rep: str = '', float_format: str | None = None, columns: Sequence[Hashable] | None = None, header: bool_t | list [ str ] = True, index: bool_t = True, mode: str = 'w', encoding: str | None = None, compression: CompressionOptions = 'infer', quoting: int | None = None, quotechar: str = '"', line_terminator: str | None = None, chunksize: int | None = None, date_format: str | None = None, doublequote: bool_t = True, escapechar: str | None = None, decimal: str = '.', errors: str = 'strict', storage_options: StorageOptions = None) → Tuple [DataFrame]

    size_guidance = 0 means all events, no aggregation or dropping

    > param index_label

    Returns

    Parameters

      - tags –

      - out_dir –

  tag_test(*tags, type_str: Union [ str , TagTypeEnum]) → bool
    Parameters

      - tags –

      - type_str –

    Returns

  tensor_export_csv(*tags: Iterable [ str ], out_dir: Path = PosixPath('/mnt/win/Users/Christian/ProjectsWin/Github/Pything/draugr/docs'), index_label: str = 'epoch', path_or_buf: FilePath | WriteBuffer[ bytes ] | WriteBuffer[ str ] | None = None, sep: str = ',', na_rep: str = '', float_format: str | None = None, columns: Sequence[Hashable] | None = None, header: bool_t | list [ str ] = True, index: bool_t = True, mode: str = 'w', encoding: str | None = None, compression: CompressionOptions = 'infer', quoting: int | None = None, quotechar: str = '"', line_terminator: str | None = None, chunksize: int | None = None, date_format: str | None = None, doublequote: bool_t = True, escapechar: str | None = None, decimal: str = '.', errors: str = 'strict', storage_options: StorageOptions = None) → Tuple [DataFrame]

    size_guidance = 0 means all events, no aggregation or dropping

    > param index_label

    Returns

    Parameters

      - tags –

      - out_dir –